Package org.opensaml.saml.saml1.core.impl

# Class NameIdentifierImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.core.xml.schema.impl.XSStringImpl
org.opensaml.saml.saml1.core.impl.NameIdentifierImpl

All Implemented Interfaces:
  `XSString`, `XMLObject`, `SAMLObject`, `NameIdentifier`

public class NameIdentifierImpl extends XSStringImpl implements NameIdentifier
Complete implementation of `NameIdentifier`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`format`
Contents of the Format.
`private String`
`nameQualifier`
Contents of the NameQualifierAttribute.

### Fields inherited from interface org.opensaml.saml.saml1.core.NameIdentifier

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, EMAIL, FORMAT_ATTRIB_NAME, NAMEQUALIFIER_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME, UNSPECIFIED, WIN_DOMAIN_QUALIFIED, X509_SUBJECT`

### Fields inherited from interface org.opensaml.core.xml.schema.XSString

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`NameIdentifierImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getFormat()`
Gets the format of this identifier.
`String`
`getNameQualifier()`
Gets the name qualifier for this identifier.
`void`
`setFormat(String fmt)`
Sets the format of this identifier.
`void`
`setNameQualifier(String qualifier)`
Sets the name qualifier for this identifier.

### Methods inherited from class org.opensaml.core.xml.schema.impl.XSStringImpl

`getOrderedChildren, getValue, setValue`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSString

`getValue, setValue`

## Field Details

### nameQualifier

@Nullable private String nameQualifier
Contents of the NameQualifierAttribute.

### format

@Nullable private String format
Contents of the Format.

## Constructor Details

### NameIdentifierImpl

protected NameIdentifierImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getNameQualifier

@Nullable public String getNameQualifier()
Gets the name qualifier for this identifier.

Specified by:
  `getNameQualifier` in interface `NameIdentifier`
Returns:
  name qualifier for this identifier

### getFormat

@Nullable public String getFormat()
Gets the format of this identifier.

Specified by:
  `getFormat` in interface `NameIdentifier`
Returns:
  format of this identifier

### setNameQualifier

public void setNameQualifier(@Nullable String qualifier)
Sets the name qualifier for this identifier.

Specified by:
  `setNameQualifier` in interface `NameIdentifier`
Parameters:
  `qualifier` - name qualifier for this identifier

### setFormat

public void setFormat(@Nullable String fmt)
Sets the format of this identifier.

Specified by:
  `setFormat` in interface `NameIdentifier`
Parameters:
  `fmt` - format of this identifier